/*******************************************
* Zeus CMD - C++ Tutorial 48 : Destructors *
* By Grant James (ZEUS)                    *
* http://www.zeuscmd.com                   *
*******************************************/
#include <iostream>
#include <stdlib.h>

using namespace std;

class Player
{
public :

	Player();
	~Player();

	int health;
	int mana;

	char **inventory;

	void attack()
	{ cout << "Player Attacks" << endl; }
};

Player::Player() : health(100), mana(50)
{
	inventory = new char*[10];
	cout << "Player Created" << endl;
}

Player::~Player()
{
	delete[] inventory;
	cout << "Player Destroyed" << endl;
}

int main()
{
	{
		Player grant;
		grant.attack();
	}

	system("pause");

	return 0;
}

